/// <reference types="react" />
import { Component } from "react";
import { ModalProps } from "../Modal/index";
interface WantedPublishModalProps {
  modalConfig?: ModalProps;
  handleConfirm?: Function;
}
interface WantedPublishModalState {
  modalVisible: boolean;
  current_wanted: number | string | null;
}
declare class WantedPublishModal extends Component<
  WantedPublishModalProps,
  WantedPublishModalState
> {
  constructor(props: WantedPublishModalProps);
  handleModalShow: () => void;
  handleClose: () => void;
  handleUpdateCurrentWanted: (
    value: string | number | null,
    afterUpdate?: Function | undefined
  ) => void;
  clearCurrentWanted: (cb: Function) => void;
  renderMain(): JSX.Element;
  render(): JSX.Element;
}
export { WantedPublishModal as default, WantedPublishModal };
